describe("SomeAjaxModule",function(){
  var module;

  beforeEach(function(){
    loadFixtures("ajax.html");
    module = SomeAjaxModule();
    spyOn($,'getJSON');
  });

  it("getJSONが適切に呼ばれること",function(){
    module.theButtonIsClicked();
    expect($.getJSON).toHaveBeenCalled();
    expect($.getJSON).toHaveBeenCalledWith("/foo/bar.json",module.showList);
  });

  it("JSONをもとにリストを表示すること",function(){ 
    expect($("#result-list")).not.toBeVisible();
    module.showList(["foo","bar"]);
    expect($("#result-list li").eq(0).text()).toBe("foo");
  });

});
