describe("FormValidator", function() {
  var validator;
  
  beforeEach(function(){
    loadFixtures("form.html");
    validator = formValidator();
    validator.textNotBlank($("#f1"));

    spyOnEvent('#f1','submit');
  });
  
  describe("テキストエリアが空の場合",function(){
    it("フォームを送信しない",function(){
      $("#f1").find("button").trigger("click");
      expect('submit').toHaveBeenTriggeredOn('#f1');
      expect('submit').toHaveBeenPreventedOn('#f1');
      // submitイベントは呼ばれるものの実行は却下されている
    });
  });
});


